#!/bin/sh
#
VOICEDIR=/var/spool/voice/incoming
DIALOG=/usr/bin/dialog
FLAG=.flag
FILES=va*.rmd
ZFILES=va*.rmd.gz

play_msg()
{
    $DIALOG </dev/tty --title "PLAYING FILE" --infobox \
     "Playing $choice\npress [space] to skip" 5 51
    trap "" SIGINT
    stty quit ' '
    cat $choice | trunc | tcat -s | autopvf -8 | pvftowav > /tmp/~~listen~~.wav
    play /tmp/~~listen~~.wav
    rm /tmp/~~listen~~.wav
    stty sane
    trap SIGINT
}

cd $VOICEDIR
DONE=no
while [ $DONE = "no" ]
do
    if $DIALOG </dev/tty --clear --title "PLAY VOICE" \
     --menu "Pick a voice file to play" 20 51 14 \
     `ls -lt $FILES 2>/dev/null \
     | awk '{ printf("%s %s-%s-%s-(%dk)\n",$9,$6,$7,$8,$5/1024) }'` \
     played 'already played messages' 2> /tmp/menu.tmp.$$;\
    then
     choice=`cat /tmp/menu.tmp.$$`
     if [ $choice = "played" ]
     then
         cd $VOICEDIR/played
         P_DONE=no
         while [ $P_DONE = "no" ]
         do
          if $DIALOG </dev/tty --clear --title "PLAY VOICE" \
              --menu "Pick a voice file to play" 20 51 14 \
              `ls -lt $ZFILES 2>/dev/null | awk \
              '{ printf("%s %s-%s-%s-(%dk)\n",$9,$6,$7,$8,$5/1024) }'` \
              2> /tmp/menu.tmp.$$;
          then
              choice=`cat /tmp/menu.tmp.$$`
              gunzip < $choice > /tmp/menu.rmd.$$
              choice=/tmp/menu.rmd.$$
              play_msg
              rm $choice
          else
              P_DONE=yes
          fi
         done
         cd $VOICEDIR
     else
         play_msg
         if $DIALOG </dev/tty --clear --title "DELETE FILE" \
              --menu $choice 10 60 3 \
              1 "keep message" \
              2 "move message to $VOICEDIR/played" \
              3 "delete message" 2> /tmp/menu.tmp.$$
         then
          ans=`cat /tmp/menu.tmp.$$`
          if [ $ans -eq 2 ];then mv $choice played;gzip played/$choice;fi
          if [ $ans -eq 3 ];then rm $choice;fi
         fi
     fi
    else
     $DIALOG --clear
     DONE=yes
     rm -f $FLAG
    fi
    rm -f /tmp/menu.tmp.$$
done
